Subject: [Healeys] Brake disc (rotor) dust covers

From: "Simon Lachlan" <[email-masked]>
Date: Fri, 21 Dec 2012 14:28:33 -0000

To the brake gurus,

The move to bigger callipers is moving along. Callipers bought from a
scrapper and restored via the grease gun trick....

Anyhow, I gather that I'll need new dust covers..

Is that true?

If so, is that because the later BJ8's rotors are so much fatter that they
won't fit in my BT7's dust covers? Or are there various odd corners that I
can cut off to make them fit? (Seemingly per something I saw whilst digging
around on the net).

Or, shall I be OK without dust covers at all? I have heard of pebbles
getting stuck in there and wreaking havoc......

Simon
_______________________________________________
Archive: http://www.team.net/archive

[email-masked]
http://autox.team.net/mailman/listinfo/healeys